#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(verbose_torout_sleep, "_gpl", "");
KSYMTAB_FUNC(torture_hrtimeout_ns, "_gpl", "");
KSYMTAB_FUNC(torture_hrtimeout_us, "_gpl", "");
KSYMTAB_FUNC(torture_hrtimeout_ms, "_gpl", "");
KSYMTAB_FUNC(torture_hrtimeout_jiffies, "_gpl", "");
KSYMTAB_FUNC(torture_hrtimeout_s, "_gpl", "");
KSYMTAB_FUNC(torture_num_online_cpus, "_gpl", "");
KSYMTAB_FUNC(torture_offline, "_gpl", "");
KSYMTAB_FUNC(torture_online, "_gpl", "");
KSYMTAB_FUNC(torture_onoff_init, "_gpl", "");
KSYMTAB_FUNC(torture_onoff_stats, "_gpl", "");
KSYMTAB_FUNC(torture_onoff_failures, "_gpl", "");
KSYMTAB_FUNC(torture_random, "_gpl", "");
KSYMTAB_FUNC(torture_shuffle_task_register, "_gpl", "");
KSYMTAB_FUNC(torture_shuffle_init, "_gpl", "");
KSYMTAB_FUNC(torture_shutdown_absorb, "_gpl", "");
KSYMTAB_FUNC(torture_shutdown_init, "_gpl", "");
KSYMTAB_FUNC(stutter_wait, "_gpl", "");
KSYMTAB_FUNC(torture_stutter_init, "_gpl", "");
KSYMTAB_FUNC(torture_init_begin, "_gpl", "");
KSYMTAB_FUNC(torture_init_end, "_gpl", "");
KSYMTAB_FUNC(torture_cleanup_begin, "_gpl", "");
KSYMTAB_FUNC(torture_cleanup_end, "_gpl", "");
KSYMTAB_FUNC(torture_must_stop, "_gpl", "");
KSYMTAB_FUNC(torture_must_stop_irq, "_gpl", "");
KSYMTAB_FUNC(torture_kthread_stopping, "_gpl", "");
KSYMTAB_FUNC(_torture_create_kthread, "_gpl", "");
KSYMTAB_FUNC(_torture_stop_kthread, "_gpl", "");

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C2D28B9790780456195786F");
